Name:           diffpdf
Version:        2.1.2
Release:        %mkrel 1
Summary:        PDF files comparator

Group:          File tools
License:        GPLv2+
URL:            http://www.qtrac.eu/diffpdf.html
Source0:        http://www.qtrac.eu/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop

BuildRequires:  poppler-qt4-devel
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
# /usr/include/poppler/cpp/poppler-version.h
BuildRequires:  poppler-cpp-devel
#Requires:       hicolor-icon-theme

%description
DiffPDF is used to compare two PDF files. By default the comparison is
of the text on each pair of pages, but comparing the appearance of pages
is also supported (for example, if a diagram is changed or a paragraph
reformatted). It is also possible to compare particular pages or page
ranges.

%prep
%setup -q

%build
lrelease diffpdf.pro
qmake
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 diffpdf %{buildroot}%{_bindir}

for f in 32 16; do
   mkdir -p %{buildroot}%{_datadir}/icons/hicolor/"$f"x$f/apps
   convert images/icon.png -size "$f"x$f diffpdf-$f.png
   install -p diffpdf-$f.png %{buildroot}%{_datadir}/icons/hicolor/"$f"x$f/apps/diffpdf.png
done

desktop-file-install                          \
  --dir=%{buildroot}%{_datadir}/applications  \
  %{SOURCE1}

%files
%doc CHANGES gpl-2.0.txt help_cz.html help_de.html help_fr.html help.html README
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/??x??/apps/*.png
%{_datadir}/applications/%{name}.desktop


%changelog

* Wed Feb 20 2013 stormi <stormi> 2.1.2-1.mga3
+ Revision: 399525
- Import diffpdf from fedora
- Created package structure for diffpdf.

